Name:        intel-one-mono-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/IntelOneMono.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 IntoneMonoNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFont-Bold.ttf
install -Dm644 IntoneMonoNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFont-BoldItalic.ttf
install -Dm644 IntoneMonoNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFont-Italic.ttf
install -Dm644 IntoneMonoNerdFont-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFont-Light.ttf
install -Dm644 IntoneMonoNerdFont-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFont-LightItalic.ttf
install -Dm644 IntoneMonoNerdFont-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFont-Medium.ttf
install -Dm644 IntoneMonoNerdFont-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFont-MediumItalic.ttf
install -Dm644 IntoneMonoNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFont-Regular.ttf
install -Dm644 IntoneMonoNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFontMono-Bold.ttf
install -Dm644 IntoneMonoNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFontMono-BoldItalic.ttf
install -Dm644 IntoneMonoNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFontMono-Italic.ttf
install -Dm644 IntoneMonoNerdFontMono-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFontMono-Light.ttf
install -Dm644 IntoneMonoNerdFontMono-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFontMono-LightItalic.ttf
install -Dm644 IntoneMonoNerdFontMono-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFontMono-Medium.ttf
install -Dm644 IntoneMonoNerdFontMono-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFontMono-MediumItalic.ttf
install -Dm644 IntoneMonoNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFontMono-Regular.ttf
install -Dm644 IntoneMonoNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFontPropo-Bold.ttf
install -Dm644 IntoneMonoNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFontPropo-BoldItalic.ttf
install -Dm644 IntoneMonoNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFontPropo-Italic.ttf
install -Dm644 IntoneMonoNerdFontPropo-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFontPropo-Light.ttf
install -Dm644 IntoneMonoNerdFontPropo-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFontPropo-LightItalic.ttf
install -Dm644 IntoneMonoNerdFontPropo-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFontPropo-Medium.ttf
install -Dm644 IntoneMonoNerdFontPropo-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFontPropo-MediumItalic.ttf
install -Dm644 IntoneMonoNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/IntoneMonoNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/IntoneMonoNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFont-Light.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFont-LightItalic.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFont-Medium.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFont-MediumItalic.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFontMono-Light.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFontMono-LightItalic.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFontMono-Medium.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFontMono-MediumItalic.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFontPropo-Light.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFontPropo-LightItalic.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFontPropo-Medium.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFontPropo-MediumItalic.ttf
%{_datadir}/fonts/%{name}/IntoneMonoNerdFontPropo-Regular.ttf
%license "LICENSE.txt"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
